%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}
%define __debug_install_post %{_mingw32_debug_install_post}

Name:           mingw32-plotmm
Version:        0.1.2
Release:        4%{?dist}
Summary:        MinGW GTKmm plot widget for scientific applications
Group:          Development/Libraries
License:        LGPLv2
URL:            http://plotmm.sourceforge.net/
Source0:        http://download.sourceforge.net/plotmm/plotmm-%{version}.tar.gz
# Fix code to build against libsigc++20
# Upstream:
# https://sourceforge.net/tracker/?func=detail&atid=632478&aid=2082337&group_id=102665
Patch0:         plotmm-0.1.2-libsigc++20.patch
Patch1:         mingw32-plotmm-ac.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 52
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-gtkmm24 >= 2.4.0
BuildRequires:  libtool
BuildRequires:  automake
BuildRequires:  autoconf

Requires:       pkgconfig


%description
This package provides an extension to the mingw32 gtkmm library.  It
contains widgets which are primarily useful for technical and
scientifical purposes.  Initially, this is a 2-D plotting widget.


%{_mingw32_debug_package}


%prep
%setup -q -n plotmm-%{version}
%patch0 -p1 -b .libsigc++20
%patch1 -p0 -b .mingw32
# update autotools, distributed files are so old they do not
# get compiling dlls right
libtoolize --force --copy
aclocal
autoconf
automake -a -c


%build
%{_mingw32_configure} --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install
rm $RPM_BUILD_ROOT%{_mingw32_bindir}/curves.exe
rm $RPM_BUILD_ROOT%{_mingw32_bindir}/simple.exe

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING ChangeLog README
%{_mingw32_bindir}/libplotmm-0.dll
%{_mingw32_libdir}/libplotmm.dll.a
%{_mingw32_libdir}/libplotmm.la
%{_mingw32_libdir}/pkgconfig/plotmm.pc
%{_mingw32_includedir}/plotmm

%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 22 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.1.2-3
- add debuginfo packages

* Mon Apr 27 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.1.2-2
- add missing BR

* Sun Apr 19 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.1.2-1
- copy from native
